/* Extra styling on top of non-class stuff */
header {
    background: #eee;
    box-shadow: 0px 5px 0px #ddd;
    padding-top: 1.0em;
    padding-left: 1.0em;
    padding-right: 1.0em;
    padding-bottom: 0.75em;
    margin-bottom: 0.75em;
}

header ul {
  padding: 0;
}

header li {
  list-style: none;
  font-size: 125%;
}

@media (min-width: 850px) {
  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    line-height: 0;
    z-index: 1337;

    position: fixed;
    left: 0;
    top: 0;
    width: 98%;
  }

  main {
    margin-top: 4em;
  }

  header li {
    display: inline-block;
    list-style: none;
  }

  header a {
    padding: 0.25em;
  }
}

footer {
  text-align: center;
  display: block;
  margin-top: 0.5em;
}

footer a {
  text-decoration: none;
}

footer a:visited {
  text-decoration: none;
  border-bottom: 0;
}

footer a:hover {
  text-decoration: none;
  border-bottom: 0;
}

footer a img {
  margin: 0;
}

figure {
  display: table;
  margin-right: auto;
  margin-left: auto;
  margin-bottom: 2.0em;
  max-width: 40em;
}

figure img {
  margin-bottom: 0.0em;
}

figcaption {
  text-align: center;
  margin-top: 0.25em;
  margin-bottom: 0.0em;
  color: #888;
}

body {
  /* For sticky footer */
  display: flex;
  min-height: 95vh;
  flex-direction: column;
}

h2, h3, h4, h5, h6 {
  font-weight: 500;
}

main {
  flex: 1
}

table {
  text-align: justify;
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 2rem;
}

td, th, tr {
  padding: 0.5em;
  mix-blend-mode: multiply;
  background-color: #f8f8f8
}

tr:nth-child(even) {
  background-color: #eee;
}

td:nth-child(1) {
  font-weight: bold;
}

/* classes */
.date {
  //font-size: 1.1em;
  color: #aaa;
}

.column-block {
  column-count: 2;
}

.row-block {
  break-inside: avoid-column;
}

/* align */
/*
.text-left   { text-align: left; }
.text-right  { text-align: right; }
.text-center { text-align: center; }
.float-left  { float: left !important; }
.float-right { float: right !important; }
.clearfix    { clear: both; }
*/

/* Name Font */
@font-face {
  font-family: 'Marhey-Bold';
  src: url('../fonts/Marhey-Bold.ttf');
}

.nameplate {
  font-family: 'Marhey-Bold';
  font-size: 2.0em;
  display: block;
}
